/****************************************************************************************************

		I3DShAttributesSetControler.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	7/7/2006

****************************************************************************************************/

#ifndef __I3DShAttributesSetControler__
#define __I3DShAttributesSetControler__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "InterfaceIDs.h"


//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_I3DShAttributesSetControler);

//****** Family Id *************************************************

const FourCharT kAttributesSetControlerFamilyID = kRID_AttributesSetControlerFamilyID;

struct I3DShAttributesSet;


/// \addtogroup ShellInterface
/// \{

// ****************************************************************************
//								I3DShAttributesSetControler
// 
/// <P>There are two interfaces to access a component: The shell interface (I3DShAttributesSetControler) and
/// the external interface (I3DExAttributesSetControler). You can get one from the other using QueryInterface.</P>
///
/// \see I3DExAttributesSetControler
///
struct I3DShAttributesSetControler : public IMCUnknown
{
	// ****************************************************************************
	//								GetAttributesSet
	// 
	/// Returns the attributes set associated with this attributes set controler.
	/// 
	virtual I3DShAttributesSet*	MCCOMAPI GetAttributesSet() = 0;
};

/// \}

#endif
